Bug 1117992 - update libuv to 0.11.x (0.11.26 now)
Summary: update libuv to 0.11.x (0.11.26 now)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libuv
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1194212
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 19:12 UTC by Igor Gnatenko
Modified: 2015-02-19 20:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 20:56:04 UTC


Attachments (Terms of Use)

Description Igor Gnatenko 2014-07-09 19:12:29 UTC
Hi,


I'm packaging neovim for Fedora and my builds failing[0], because
using feature not available in 0.10.x releases.
In Fedora libuv seems 0.10.x, so can you update it to 0.11.26 (now)?
It's available[1].
If you don't want to break many packages, which using libuv - you can
update it for rawhide. because f21 already branched - we can break
rawhide I tho.

I will request ACLs, because libuv is main lib which using by neovim and I'm interested in it.


[0]http://copr-be.cloud.fedoraproject.org/results/ignatenkobrain/neovim/fedora-rawhide-x86_64/neovim-0.0.0-1.git308953e.fc21/build.log
[1]https://github.com/joyent/libuv/releases

Comment 1 Stephen Gallagher 2014-07-09 19:30:08 UTC
libuv 0.11.x is the unstable development branch. We generally don't update to those in Fedora proper due to their tendency to break backwards compatibility. It's not likely that it will land in Rawhide until at least a beta or release candidate is declared for Node.js 0.12.x

However, it might not be a terrible idea for us to start offering up a COPR with the prerelease versions available in it that packages like your neovim could depend on.

However, if you want neovim in Fedora proper, it might be a better idea to see if you can patch it to work with a stable libuv.

Comment 2 T.C. Hollingsworth 2014-08-02 22:44:38 UTC
If someone had asked me if we could track nodejs 0.11 in Rawhide six months ago, when the release of node 0.12 was allegedly "imminent" and we had an extended F21 cycle as a safety net, I probably would have gone for it.  And right now we're past Change Freeze and Alpha is coming up I'd be looking at reverting and bumping epoch and hating the world.  ;-)

So, I'm incredibly uncomfortable with updating the entire nodejs stack in Rawhide at this time.  I really have no confidence that it won't just be that all over again when F22 Change Freeze rolls around.

But I saw your discussion on the upstream mailing list, and am happy to learn that the libuv folks are decoupling the libuv release process from the nodejs one.  They're also being much more transparent about the release process than the node folks have ever been, which is very awesome.

libuv is growing in popularity and it's unfair for other applications that use it to be blocked from the distribution because nodejs upstream is lagging behind.

Therefore, I'm okay with bumping *only* libuv in Rawhide, provided we also ship a compat-libuv010 or so package at the same time so we don't have to bump nodejs just yet.  However, this needs to be done very carefully to ensure we don't accidentally break third-party modules and such, so please bear with me.

P.S.: Thanks a lot for going the extra mile to discuss this upstream!  If it weren't for the assurances they provided in response, this probably would have been CLOSED WONTFIX.  ;-)

Comment 3 Christopher Meng 2014-08-26 13:40:12 UTC
You'd better update it to 0.11 ASAP. As the new versions are coming constantly.

It blocks hamsterdb(I can't submit the review due to lack of uv-version.h), too. And other stuffs.

And what needs compat-libuv010 exactly?

Comment 4 Gerd Pokorra 2015-01-10 18:44:27 UTC
At libuv.org/dist are the versions:

http://libuv.org/dist/v1.1.0/
http://libuv.org/dist/v1.2.0/

Could at least libuv updated in devel branch?

Comment 5 T.C. Hollingsworth 2015-02-19 10:49:47 UTC
I've filed a review for compat-libuv010 in bug 1194212.  I can update libuv in F22 as soon as that is completed.

Comment 6 T.C. Hollingsworth 2015-02-19 14:06:03 UTC
Stephen reviewed that pretty quickly, thanks!

I'd hoped to have a copr to link to now but my builds are stuck behind everyone's nightly cronjobs.

So you all just have to live with a scratch build for today:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8995221

Comment 7 T.C. Hollingsworth 2015-02-19 20:56:04 UTC
libuv 1.4.0 is now built for rawhide and Fedora 22:
http://koji.fedoraproject.org/koji/buildinfo?buildID=613165
http://koji.fedoraproject.org/koji/buildinfo?buildID=613163


Note You need to log in before you can comment on or make changes to this bug.